local WMS = WMS_016

function WMS:SetCrypterItem(itemID)    
    if (itemID) then
        local sName, sLink, iRarity, iLevel, iMinLevel, 
            sType, sSubType, iStackCount, sEquipLoc, sTexture
            = GetItemInfo(itemID)
                
        local crypterButton = self:GetChildWidget("Crypter".."Button")
        SetItemButtonTexture(crypterButton, sTexture)
    end
    self.crypterItemID = itemID
end

function WMS:Crypt(message)
    if (self.crypterItemID) then
        local c = self.arcfour.new(tostring(self.crypterItemID))
        c:generate(3072)
        message = c:cipher(message)
    end
    return message
end
